Bug 221928 - pyparted should expose start_align and end_align in a PedConstraint
pyparted should expose start_align and end_align in a PedConstraint
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pyparted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-08 18:59 EST by Patrick Devine
Modified: 2008-05-06 21:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:04:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Devine 2007-01-08 18:59:24 EST
There a bunch of things missing from the pyparted API which would be useful for
doing more complex parted operations.

Specifically, right now there doesn't seem to be a way of creating a
PedAlignment for a PedConstraint object where the offset for the constraint
starts or ends at a different sector.  "start_align", and "end_align" of a
PedConstraint aren't exposed at all.
Comment 1 David Cantrell 2007-01-08 21:40:28 EST
Completely agreed.  Already working on it.  I'm an upstream developer and
co-maintainer of GNU parted and what we are planning for parted-2.0 is including
Python bindings directly.  We going to offer a set of Python classes, as well as
a direct one-to-one mapping of the libparted functions.  This will render
pyparted obsolete in the future, but what I'll most likely do in the interim is
work on those things in pyparted and then merge as we continue parted 2.0
development.

Thanks for the suggestion.
Comment 2 Patrick Devine 2007-03-07 16:50:43 EST
Right now I can't create partitions with pyparted which start on different
sectors other than the default.  This apparently has performance limitations
with certain SAN arrays due to cache misses caused by how the RAID stripe is
written.

It would be great if more of PedConstraint and PedAlignment were exposed to be
able to align on different start and end sectors.
Comment 3 Bug Zapper 2008-04-03 14:52:11 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 21:04:42 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.